package com.prolog.cs.base.gsp.service;

import com.prolog.cs.base.gsp.QueryDTO;
import com.prolog.cs.base.gsp.model.GspUpkeepCheckPlan;
import com.prolog.framework.core.pojo.Page;

import java.util.List;

/**
 * @Description  
 * @Date 2021-05-10 
 */

public interface GspUpkeepCheckPlanService {
	
	Page<GspUpkeepCheckPlan> findPlan(QueryDTO upkeepCheckDTO);

	List<GspUpkeepCheckPlan> spellGspUpkeepCheckPlans(List<GspUpkeepCheckPlan> list);

	List<GspUpkeepCheckPlan> findUpkeepPlan4MovePick(QueryDTO upkeepCheckDTO);

	String spellUpkeepType(Integer upkeepType);
}
